Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet
Class CompletionQueue

    java.lang.Object
      org.mindswap.pellet.CompletionQueue

    public class CompletionQueue

extends java.lang.Object

A queue for individuals that need to have completion rules applied

Author:
  Christian Halaschek-Wiener

Method Summary
`void` | `add(QueueElement x, int type)` Add an element to the queue
`void` | `addAll(java.util.List xs, int type)` Add a list to the queue
`CompletionQueue` | `copy()` Copy the queue
`java.lang.Object` | `getNext(int type)` Get the next element of a queue of a given type
`boolean` | `hasNext(int type)` Test if there is another element on the queue to process
`void` | `incrementBranch(int branch)` Set branch pointers to current pointer.
`void` | `init(int type)` Reset the cutoff for a given type index
`void` | `print()` Print method for entire queue
`void` | `print(int type)` Print method for a given queue type
`void` | `printBranchInfo()` Print branch information
`void` | `restore(int branch)` Reset the queue to be the current nodes in the abox; Also reset the type index to 0
`void` | `setABox(ABox ab)` Set the abox for the queue

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### hasNext

    public boolean hasNext(int type)

  Test if there is another element on the queue to process

  Parameters:
    `type` -
  Returns:

### restore

    public void restore(int branch)

  Reset the queue to be the current nodes in the abox; Also reset the type index to 0

  Parameters:
    `branch` -

### getNext

    public java.lang.Object getNext(int type)

  Get the next element of a queue of a given type

  Parameters:
    `type` -
  Returns:

### add

    public void add(QueueElement x,
                    int type)

  Add an element to the queue

  Parameters:
    `x` -
    `type` -

### addAll

    public void addAll(java.util.List xs,
                       int type)

  Add a list to the queue

  Parameters:
    `xs` -
    `type` -

### init

    public void init(int type)

  Reset the cutoff for a given type index

  Parameters:
    `type` -

### incrementBranch

    public void incrementBranch(int branch)

  Set branch pointers to current pointer. This is done whenever abox.incrementBranch is called

  Parameters:
    `branch` -

### copy

    public CompletionQueue copy()

  Copy the queue

  Returns:

### setABox

    public void setABox(ABox ab)

  Set the abox for the queue

  Parameters:
    `ab` -

### print

    public void print(int type)

  Print method for a given queue type

  Parameters:
    `type` -

### print

    public void print()

  Print method for entire queue

### printBranchInfo

    public void printBranchInfo()

  Print branch information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.